import { createRouter, createWebHistory, RouteRecordRaw } from "vue-router";
import Login from "@/views/login/index.vue"; //登录组件
import Layout from '@/views/layout/index.vue';
import CallBack from '@/views/login/OauthCallBack.vue';

const routes: Array<RouteRecordRaw> = [
  {
    path: "/",
    name: "Login",
    component: Login,
  },
  {
    path:'/callback',
    name:'CallBack',
    component:CallBack
  },
  {
    path: "/layout",
    name: "Layout",
    component: Layout,
  },
];

const router = createRouter({
  history: createWebHistory(),
  routes,
});

// 在这里添加路由的导航守卫
router.beforeEach((to, from, next) => {
  console.log("Navigating to:", to.path);
  next();
});

export default router;
